Bug 979661 - Review Request: perl-Net-Random - A module gets random data from online sources
Review Request: perl-Net-Random - A module gets random data from online sources
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-29 04:03 EDT by Christopher Meng
Modified: 2013-07-14 21:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Net-Random-2.22-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-14 21:01:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-06-29 04:03:11 EDT
Spec URL: http://cicku.me/perl-Net-Random.spec
SRPM URL: http://cicku.me/perl-Net-Random-2.22-1.fc20.src.rpm
Description: This module can get random data from online sources such as websites.
Fedora Account System Username: cicku
Comment 1 Parag AN(पराग) 2013-07-03 01:23:18 EDT
Review:

+ mock build is successful for f20

+ rpmlint output on rpms gave
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     : bb8c499a3a663aa0495e8892ebd10ddc3549be8e742976014d7fb885eb278ff7
upstream tarball : bb8c499a3a663aa0495e8892ebd10ddc3549be8e742976014d7fb885eb278ff7

+ License "GPLv2+ or Artistic" is valid and included in source files.

+ rest follows packaging guidelines

+ make test is successful with output
All tests successful.
Files=5, Tests=69, 271 wallclock secs ( 0.04 usr  0.00 sys +  2.19 cusr  0.29 csys =  2.52 CPU)

+ This package perl-Net-Random-2.22-1.fc20
Provides: perl(Net::Random) = 2.22 perl-Net-Random = 2.22-1.fc20

Requires: perl(Data::Dumper) perl(JSON) perl(LWP::UserAgent) perl(Sys::Hostname) perl(strict) perl(vars)

suggestions:
1) Though all the tests that run are successful, I see one test got skipped due to missing
BuildRequires: perl(Test::Pod::Coverage)

add this to spec file

2) Remove explicitly listed Requires: from spec file as rpm should find those dependencies while installing this package. Only when rpm fails to find we need to list it explicitly.
Requires:       perl(Encode::Locale) >= 1.01
Requires:       perl(JSON)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Test::MockObject) >= 1.07
Requires:       perl(Test::More) >= 0.64

3) Also, don't add hard versioned requirement in BuildRequires or Requires. so your BuildRequires should be
BuildRequires:  perl(Encode::Locale)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(JSON)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Test::MockObject)
BuildRequires:  perl(Test::More)
Comment 2 Christopher Meng 2013-07-03 02:28:47 EDT
NEW SOEC URL: http://cicku.me/perl-Net-Random.spec
NEW SRPM URL: http://cicku.me/perl-Net-Random-2.22-2.fc20.src.rpm
Comment 3 Parag AN(पराग) 2013-07-03 03:02:56 EDT
Looks good now.

APPROVED.
Comment 4 Christopher Meng 2013-07-03 05:43:45 EDT
New Package SCM Request
=======================
Package Name: perl-Net-Random
Short Description: A module gets random data from online sources
Owners: cicku
Branches: f18 f19
InitialCC:
Comment 5 Gwyn Ciesla 2013-07-03 08:56:55 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-07-05 09:07:06 EDT
perl-Net-Random-2.22-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Net-Random-2.22-2.fc19
Comment 7 Fedora Update System 2013-07-05 09:07:54 EDT
perl-Net-Random-2.22-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Net-Random-2.22-2.fc18
Comment 8 Fedora Update System 2013-07-05 20:53:18 EDT
perl-Net-Random-2.22-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-07-14 21:01:29 EDT
perl-Net-Random-2.22-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-07-14 21:09:30 EDT
perl-Net-Random-2.22-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.